Subject: bug#77122: [PATCH] project--find-in-directory resolves symlinks

From: Dmitry Gutov <[email-masked]>
Date: Wed, 26 Mar 2025 05:11:20 +0200

On 25/03/2025 17:42, Ship Mints wrote:
> I just got bitten by project-buffers not reporting all the buffers 
> "strictly" related to the project because project.el thinks there are 
> two different projects.  I can't imagine that me and the colleagues of 
> mine that use convenience symlinks are the only ones to see these kinds 
> of inconsistencies.  Just thought I'd leave a concrete example in this 
> thread.

Thanks for the example.

> I've turned my advice back on to force truename canonicalization for the 
> time being.

Does that change really help?

In my testing, what it results in, is showing only the buffers belonging 
to the "canonical" project, both when project-switch-buffer is called 
when in it, or when inside a "symlinked" version. Buffers visited from 
the "symlinked" project are not suggested in completion anymore.

When reproducing, try using find-file (C-x C-f) to open the buffers.